Tomcat9DeltaSessionManager (Apache Geode 1.12.3)
Date: 2021-06-11

org.apache.geode.modules.session.catalina

## Class Tomcat9DeltaSessionManager

- java.lang.Object
- - org.apache.catalina.session.ManagerBase
  - - org.apache.geode.modules.session.catalina.DeltaSessionManager<Tomcat9CommitSessionValve>
    - - org.apache.geode.modules.session.catalina.Tomcat9DeltaSessionManager

- All Implemented Interfaces:
    PropertyChangeListener, EventListener, MBeanRegistration, org.apache.catalina.Lifecycle, org.apache.catalina.Manager, SessionManager

      public class Tomcat9DeltaSessionManager
      extends DeltaSessionManager<Tomcat9CommitSessionValve>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.catalina.session.ManagerBase

      `org.apache.catalina.session.ManagerBase.SessionTiming`

  - ### Field Summary

    - ### Fields inherited from class org.apache.geode.modules.session.catalina.DeltaSessionManager

      `name, regionName, started`

    - ### Fields inherited from class org.apache.catalina.session.ManagerBase

      `algorithm, container, DEFAULT_ALGORITHM, devRandomSource, digest, distributable, domain, duplicates, entropy, expiredSessions, initialized, log, maxActive, maxInactiveInterval, mserver, oname, processExpiresFrequency, processingTime, random, randomClass, randomIS, sessionAverageAliveTime, sessionCounter, sessionCreationTiming, sessionExpirationTiming, sessionIdLength, sessionMaxAliveTime, sessions, sm, support, TIMING_STATS_CACHE_SIZE`

    - ### Fields inherited from interface org.apache.catalina.Lifecycle

      `AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tomcat9DeltaSessionManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Tomcat9CommitSessionValve` | `createCommitSessionValve()`
    `int` | `getMaxInactiveInterval()`
    `protected org.apache.catalina.session.StandardSession` | `getNewSession()`
    `protected org.apache.catalina.Pipeline` | `getPipeline()`
    `org.apache.catalina.Context` | `getTheContext()`
    `void` | `setMaxInactiveInterval(int interval)`
    `void` | `startInternal()` Prepare for the beginning of active use of the public methods of this component.
    `void` | `stopInternal()` Gracefully terminate the active use of the public methods of this component.

    - ### Methods inherited from class org.apache.geode.modules.session.catalina.DeltaSessionManager

      `add, cancelTimer, findSession, getActiveSessions, getEnableDebugListener, getEnableGatewayDeltaReplication, getEnableGatewayReplication, getEnableLocalCache, getLogger, getMaxActiveSessions, getPreferDeserializedForm, getRegionAttributesId, getRegionName, getRejectedSessions, getSessionCache, getSessionsToTouch, getStatistics, getStatisticsName, initializeSessionCache, isBackingCacheAvailable, isClientServer, isCommitValveEnabled, isCommitValveFailfastEnabled, listSessionIds, load, propertyChange, registerCommitSessionValve, registerJvmRouteBinderValve, remove, scheduleTimerTasks, setContainer, setEnableCommitValve, setEnableCommitValveFailfast, setEnableDebugListener, setEnableGatewayDeltaReplication, setEnableGatewayReplication, setEnableLocalCache, setMaxActiveSessions, setPreferDeserializedForm, setRegionAttributesId, setRegionName, setRejectedSessions, toString, unload, unregisterCommitSessionValve, unregisterJvmRouteBinderValve`

    - ### Methods inherited from class org.apache.catalina.session.ManagerBase

      `addPropertyChangeListener, backgroundProcess, changeSessionId, createEmptySession, createSession, createSession, destroy, expireSession, findSessions, generateSessionId, getAlgorithm, getClassName, getContainer, getCreationTime, getCreationTimestamp, getDigest, getDistributable, getDomain, getDuplicates, getEngine, getEntropy, getExpiredSessions, getInfo, getJvmRoute, getLastAccessedTime, getLastAccessedTimestamp, getMaxActive, getName, getObjectName, getProcessExpiresFrequency, getProcessingTime, getRandom, getRandomBytes, getRandomClass, getRandomFile, getSession, getSessionAttribute, getSessionAverageAliveTime, getSessionCounter, getSessionCreateRate, getSessionExpireRate, getSessionIdLength, getSessionMaxAliveTime, init, postDeregister, postRegister, preDeregister, preRegister, processExpires, removePropertyChangeListener, setAlgorithm, setDistributable, setDuplicates, setEntropy, setExpiredSessions, setMaxActive, setProcessExpiresFrequency, setProcessingTime, setRandomClass, setRandomFile, setSessionAverageAliveTime, setSessionCounter, setSessionIdLength, setSessionMaxAliveTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.Lifecycle

      `addLifecycleListener, findLifecycleListeners, removeLifecycleListener, start, stop`

- - ### Constructor Detail

    - #### Tomcat9DeltaSessionManager

          public Tomcat9DeltaSessionManager()

  - ### Method Detail

    - #### startInternal

          public void startInternal()
                             throws org.apache.catalina.LifecycleException

      Prepare for the beginning of active use of the public methods of this component. This method should be called after `configure()`, and before any of the public methods of the component are utilized.
      Throws:
        `org.apache.catalina.LifecycleException` - if this component detects a fatal error that prevents this component from being used

    - #### stopInternal

          public void stopInternal()
                            throws org.apache.catalina.LifecycleException

      Gracefully terminate the active use of the public methods of this component. This method should be the last one called on a given instance of this component.
      Throws:
        `org.apache.catalina.LifecycleException` - if this component detects a fatal error that needs to be reported

    - #### getMaxInactiveInterval

          public int getMaxInactiveInterval()

      Specified by:
        `getMaxInactiveInterval` in interface `org.apache.catalina.Manager`
      Specified by:
        `getMaxInactiveInterval` in interface `SessionManager`
      Overrides:
        `getMaxInactiveInterval` in class `org.apache.catalina.session.ManagerBase`

    - #### getPipeline

          protected org.apache.catalina.Pipeline getPipeline()

    - #### createCommitSessionValve

          protected Tomcat9CommitSessionValve createCommitSessionValve()

      Specified by:
        `createCommitSessionValve` in class `DeltaSessionManager<Tomcat9CommitSessionValve>`

    - #### getTheContext

          public org.apache.catalina.Context getTheContext()

      Overrides:
        `getTheContext` in class `DeltaSessionManager<Tomcat9CommitSessionValve>`

    - #### setMaxInactiveInterval

          public void setMaxInactiveInterval(int interval)

      Specified by:
        `setMaxInactiveInterval` in interface `org.apache.catalina.Manager`
      Overrides:
        `setMaxInactiveInterval` in class `DeltaSessionManager<Tomcat9CommitSessionValve>`

    - #### getNewSession

          protected org.apache.catalina.session.StandardSession getNewSession()

      Overrides:
        `getNewSession` in class `DeltaSessionManager<Tomcat9CommitSessionValve>`